Bug 845567 - new PRE_SKIP key word in DAGMan
new PRE_SKIP key word in DAGMan
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: condor (Show other bugs)
2.2
All Linux
medium Severity medium
: 2.3
: ---
Assigned To: Timothy St. Clair
Luigi Toscano
: FutureFeature, Rebase, TestOnly
Depends On:
Blocks: 845292 876617
  Show dependency treegraph
 
Reported: 2012-08-03 09:08 EDT by Martin Kudlej
Modified: 2013-03-06 13:44 EST (History)
5 users (show)

See Also:
Fixed In Version: condor-7.8.2-0.2
Doc Type: Rebase: Enhancements Only
Doc Text:
Important: if this rebase also contains *bug fixes* (or contains only bug fixes), select the correct option from the Doc Type drop-down list. Rebase package(s) to version: condor-7.8 series Highlights and notable enhancements: In a DAGMan job, if a PRE script exits with the PRE_SKIP value, then the node succeeds and the job and the POST script are both skipped.
Story Points: ---
Clone Of:
: 876617 (view as bug list)
Environment:
Last Closed: 2013-03-06 13:44:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Condor 2122 None None None 2012-08-03 09:08:09 EDT

  None (edit)
Description Martin Kudlej 2012-08-03 09:08:09 EDT
Description of problem:
We have discovered the following undocumented fix in the 2.2 builds and t needs to be explicitly tested:

The  new PRE_SKIP key word in DAGMan changes the behavior of DAG node  execution such that the node's job and POST script may be skipped based  on the exit value of the PRE script. See section 2.10.2 for details.  (Ticket #2122).
Comment 3 Timothy St. Clair 2012-08-07 15:20:42 EDT
ref for testing http://research.cs.wisc.edu/condor/manual/v7.8/2_10DAGMan_Applications.html#4576
Comment 6 Luigi Toscano 2013-01-28 13:32:50 EST
The PRE_SKIP value is correctly taken into account, if specified. It affects the termination of the associated job according the documentation.

Verified on RHEL5.9/6.4 beta, i386/x86_64.
condor-7.8.8-0.4
Comment 8 errata-xmlrpc 2013-03-06 13:44:50 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0564.html

Note You need to log in before you can comment on or make changes to this bug.